Subject: Re: [Bitcoin-development] does "stubbing" off Merkle trees reduce initial download bandwidth?

From: Elden Tyrell <[email-masked]>
Date: Mon, 2 Jan 2012 14:23:16 -0800

On 2012-01-02 05:31:19 -0800, Christian Decker said:
> Later full blocks would be required to detect usable inputs for future 
> outgoing transactions.

Er, yes, this is what I meant; I guess I should have been more specific.

So, a paranoid client cannot confirm reciept of coins until it has an 
unstubbed copy of the entire chain.  It can do other things (like send 
coins) using a stubbed chain, but it needs the whole unstubbed chain in 
order to be sure that incoming coins haven't already been spent.

Thanks for confirming this.